PUT /organization/members/{user_id}/role — change a member's org role.
PUT
/api/organization/members/{user_id}/role
const url = 'https://example.com/api/organization/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/role';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"role":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/organization/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/role \ --header 'Content-Type: application/json' \ --data '{ "role": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
role
required
string
Examplegenerated
{ "role": "example"}Responses
Section titled “Responses”Media typeapplication/json
PUT /organization/members/{user_id}/role response — {ok:true, role} echoing the new role.
object
ok
required
boolean
role
required
string
Examplegenerated
{ "ok": true, "role": "example"}